if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_racs_GrabAllDebtorContacts]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[sp_racs_GrabAllDebtorContacts]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

CREATE PROCEDURE sp_racs_GrabAllDebtorContacts
AS

select
 CN_Contact.FName as FName
 ,CN_Contact.SName as SName
 ,CN_Contact.AccNo as ContactAccountNo
 ,DB_Main1.AccountNo as DebtorAccountNo
 ,DB_Main1.Name as CompanyName
 ,CN_Contact.EmailAddress as EmailAddress
 ,DB_Main1.Phone as DBPhone
 ,DB_Main1.Fax as DBFax
 ,CN_Contact.Phone as CNPhone
 ,CN_Contact.Fax as CNFax
 ,CN_Contact.Mobile as CNMobile
 ,DB_Main1.Address1 as Address1
 ,DB_Main1.Address2 as Address2
 ,DB_Main1.Address3 as Suburb
 ,DB_Main1.Address4 as State
 ,DB_Main1.PostCode as PostCode

from CN_Contact
Left outer Join CN_Main on CN_Contact.ProspectID = CN_Main.ProspectID
Left outer Join DB_Main1 on CN_Main.DebtorID = DB_Main1.DebtorID
Where DebtorContact=1 and (CN_Contact.AccNo Is Not Null) and (DB_Main1.AccountNo Is Not Null)

--- select
---  CN_Contact.FName
---  ,CN_Contact.SName
---  ,DB_Main1.Name
---  ,CN_Contact.EmailAddress
---  ,CN_Contact.ProspectID
---  ,CN_Main.DebtorID
--- from CN_Contact
--- inner Join CN_Main on CN_Contact.ProspectID = CN_Main.ProspectID
--- inner Join DB_Main1 on CN_Main.DebtorID = DB_Main1.DebtorID
--- Where DebtorContact=1


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GRANT  EXECUTE  ON [dbo].[sp_racs_GrabAllDebtorContacts]  TO [JiwaUser]
GO

GRANT  EXECUTE  ON [dbo].[sp_racs_GrabAllDebtorContacts]  TO [JiwaReports]
GO
